Subject: Re: bug#21400: Location of "file" is hard coded

From: Earnie <[email-masked]>
Date: Fri, 4 Sep 2015 09:58:41 -0400

On 9/3/2015 12:06 PM, John Frankish wrote:
> 
> Of course it's entirely up to you whether to ignore this or not, but as said
> previously, it does not  seem logical to search $PATH for items like strip,
> ranlib and nm, but not for file.
> 

Earlier stated that LIBTOOL requires specific strings from file to make
decisions.  Better then that LIBTOOL would package its own version of
file and use that to make those decisions.  Otherwise regardless of
where file exists one is likely to execute the wrong binary.

Also, if I grab the GNU file package and build it with ./configure &&
make && make install where is it installed?  In a prefix of /usr/local
because that is the default!

-- 
Earnie